diff --git a/resource.c b/resource.c
index d7a34ef..f0e2992 100644
--- a/resource.c
+++ b/resource.c
@@ -427,10 +427,12 @@ sys_times(struct tcb *tcp)
 		else if (umove(tcp, tcp->u_arg[0], &tbuf) < 0)
 			tprints("{...}");
 		else {
-			tprintf("{tms_utime=%lu, tms_stime=%lu, ",
-				tbuf.tms_utime, tbuf.tms_stime);
-			tprintf("tms_cutime=%lu, tms_cstime=%lu}",
-				tbuf.tms_cutime, tbuf.tms_cstime);
+			tprintf("{tms_utime=%llu, tms_stime=%llu, ",
+				(unsigned long long) tbuf.tms_utime,
+				(unsigned long long) tbuf.tms_stime);
+			tprintf("tms_cutime=%llu, tms_cstime=%llu}",
+				(unsigned long long) tbuf.tms_cutime,
+				(unsigned long long) tbuf.tms_cstime);
 		}
 	}
 	return 0;
diff --git a/signal.c b/signal.c
index 17be957..6dd01c1 100644
--- a/signal.c
+++ b/signal.c
@@ -722,9 +722,9 @@ printsiginfo(siginfo_t *sip, int verbose)
 				if (!verbose)
 					tprints(", ...");
 				else
-					tprintf(", si_utime=%lu, si_stime=%lu",
-						(unsigned long) sip->si_utime,
-						(unsigned long) sip->si_stime);
+					tprintf(", si_utime=%llu, si_stime=%llu",
+						(unsigned long long) sip->si_utime,
+						(unsigned long long) sip->si_stime);
 				break;
 			case SIGILL: case SIGFPE:
 			case SIGSEGV: case SIGBUS:
